h29719
s 00001/00001/00081
d D 1.6 83/03/29 13:11:06 mjb 6 5
c fixed existing data transfer to show and allow 16 values to be passed
e
s 00004/00001/00078
d D 1.5 83/02/25 19:35:54 mjb 5 4
c 
e
s 00002/00001/00077
d D 1.4 83/02/08 20:13:00 mjb 4 3
c restructured for overlaying menus
e
s 00003/00003/00075
d D 1.3 83/02/03 00:49:52 tes 3 2
c modified apdata interface to include last item to display
e
s 00007/00004/00071
d D 1.2 83/01/28 23:28:39 tes 2 1
c modified apmenu interface to include a clear screen flag
e
s 00075/00000/00000
d D 1.1 83/01/20 11:12:49 tes 1 0
c date and time created 83/01/20 11:12:49 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine mnuged (item)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Graph Edit menu manager                                #
#                                                                      #
#     Input Parameters:                                                #
#            item  - selected menu item                                #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT item

SHORTINT jump
I 2
integer iclear
E 2

include(`gphcom')

I 2
data iclear /YES/

E 2
jump = item + 1
go to (DIG0,DIG1,DIG2,DIG3,DIG4,DIG5,DIG6,DIG7,DIG8,DIG9), jump

   DIG0 continue  # EXIT to Main
      call ggeatt
D 2
      call apmenu (MAINxMENU)
E 2
I 2
D 4
      call apmenu (MAINxMENU, iclear)
E 4
I 4
      mid = MAINxMENU
      action = BREAKxOVERLAY
E 4
E 2
      go to OTHERxWISE

   DIG1 continue  # Data Entry
      call ggeatt
D 2
      call apmenu (GRAPHxDATAxFRAME)
E 2
I 2
      call apmenu (GRAPHxDATAxFRAME, iclear)
E 2
D 6
      call cgdatt (krmain)
E 6
I 6
      call cgdatt (krmain, 15)
E 6
D 3
      call apdata (1) 
E 3
I 3
      call apdata (1, FOREVER)
E 3
      go to OTHERxWISE

   DIG2 continue  # Advance Graph Edit
      call ggeatt
D 2
      call apmenu (ADVANCEDxGRAPHxEDIT) 
E 2
I 2
      call apmenu (ADVANCEDxGRAPHxEDIT, iclear)
E 2
      call cgaatt
D 3
      call apdata (1)
E 3
I 3
      call apdata (1, FOREVER)
E 3
      go to OTHERxWISE

   DIG3 continue  # Axes Edit
      call ggeatt
D 2
      call apmenu (AXESxEDIT)
E 2
I 2
D 5
      call apmenu (AXESxEDIT, iclear)
E 5
I 5
      if (bgaxis(1) == BIGN)
         call apmenu (NUMERICxAXESxEDIT, iclear)
      else
         call apmenu (PERIODICxAXESxEDIT, iclear)
E 5
E 2
      call caeatt
D 3
      call apdata (1)
E 3
I 3
      call apdata (1, FOREVER)
E 3
      go to OTHERxWISE

   DIG4 continue  
   DIG5 continue 
   DIG6 continue
   DIG7 continue  
   DIG8 continue 
      go to OTHERxWISE

   DIG9 continue  # DISPLAY Graph
      call ggeatt
      mid = GRAPHxEDIT
      action = SHOWxCHART
      device = CRT

   OTHERxWISE continue

   return
end
E 1
